#include "thint.h"

main()
{
	uint32 ui32Time;
	uint64	testTimestamp;
	string datefmt = "YY MM DD hh mm ss";
	string	testOut;
	int nWeek;
	int nGanji;
	uint64 thishap, thismang, nexthap;
	int32 nYear, nMonth, nDay, nHour;
	int32 i,j;
	int32 lYear, lMonth, lDay;
	byte bYundal, bLarge;
	int32 sYear, sMonth, sDay;

	string test[][] = {
		{ "1.1", "1.2", "1.3" },
		{ "2.1", "2.2", "2.3" }
	};

	for(i=0; i<test.length; i++)
	{
		for(j=0; j<test[i].length; j++)
		{
			printf("test[%d][%d] = %s\n", i, j, test[i][j]);
		}
		printf("\n");
	}

	ui32Time = time();
        printf("Current Time = %u\n", ui32Time);
	testTimestamp = THTimestamp_UnixTimeToTimestamp(ui32Time);

	printf("testTimestamp = %D\n", testTimestamp);
	testOut = THTimestamp_ConvertToString(testTimestamp, datefmt);
	printf("time = %s\n", testOut);

	sYear = localtime_year(ui32Time) + 1900;
	sMonth = localtime_mon(ui32Time) + 1;
	sDay = localtime_mday(ui32Time);
	nWeek = THTimestamp_DateWeek(sYear, sMonth, sDay);
	testOut = g_strWeek[nWeek];
	printf("%d/%d/%d  = %s\n", sYear, sMonth, sDay, testOut);

	nGanji = THTimestamp_GetGanjiFromDate(sYear, sMonth, sDay);
	testOut = g_strGanji[nGanji];
	printf("%d/%d/%d  = %s\n", sYear, sMonth, sDay, testOut);

	THTimestamp_GetLunarDate(sYear, sMonth, sDay, thishap, thismang, nexthap);
	testOut = THTimestamp_ConvertToString(thishap, datefmt);
	printf("̹ : %s\n", testOut);
	testOut = THTimestamp_ConvertToString(thismang, datefmt);
	printf("̹ : %s\n", testOut);
	testOut = THTimestamp_ConvertToString(nexthap, datefmt);
	printf(" : %s\n", testOut);

	THTimestamp_GetGanjiTimestamp(1977,5,27,12, 30, nYear, nMonth, nDay, nHour);
	printf("%d/%d/%d %d\n", nYear, nMonth, nDay, nHour);
	printf("%s %s %s %s\n", g_strGanji[nYear], g_strGanji[nMonth], g_strGanji[nDay], g_strGanji[nHour]);

	THTimestamp_SolarToLunar(1977,5,27, lYear, lMonth, lDay, bYundal, bLarge);
	printf(": %d %d %d =%d =%d\n", lYear, lMonth, lDay, bYundal, bLarge);

	THTimestamp_LunarToSolar(lYear,lMonth,lDay,bYundal, sYear,sMonth,sDay);
	printf(": %d %d %d\n", sYear, sMonth, sDay);
}
