#include "thint.h"

int g_thread1_run = 1;
int g_thread2_run = 1;
int g_var = 0;

void
thread_1(int a)
{
   while(g_thread1_run)
   {
      printf("This is thread 1 argument = %d, var = %d\n", a, g_var);
      g_var++;
      sleep(2);
   }
   printf("thread 1 exit\n");
}

void
thread_2(int a)
{
   while(g_thread2_run)
   {
      printf("This is thread 2 argument = %d, var = %d\n", a, g_var);
      g_var++;
      sleep(2);
   }
   printf("thread 2 exit\n");
}

main()
{
   handle	t1, t2;

   printf("Thread test...\n");
   printf("This is main thread var = %d\n", g_var);
   t1 = thread_create(thread_1, 2);
   sleep(1);
   printf("This is main thread var = %d\n", g_var);
   t2 = thread_create(thread_2, 32);
   printf("This is main thread var = %d\n", g_var);

   sleep(10);

   if(thread_isRunning(t1))
      printf("main: thread1 is running\n");
   else
      printf("main: thread1 is NOT running\n");

   if(thread_isRunning(t2))
      printf("main: thread2 is running\n");
   else
      printf("main: thread2 is NOT running\n");

   printf("This is main thread var = %d\n", g_var);
   g_thread2_run = 0;

   sleep(10);

   if(thread_isRunning(t1))
      printf("main: thread1 is running\n");
   else
      printf("main: thread1 is NOT running\n");

   if(thread_isRunning(t2))
      printf("main: thread2 is running\n");
   else
      printf("main: thread2 is NOT running\n");

   printf("This is main thread var = %d\n", g_var);
   g_thread1_run = 0;

   sleep(5);

   if(thread_isRunning(t1))
      printf("main: thread1 is running\n");
   else
      printf("main: thread1 is NOT running\n");

   if(thread_isRunning(t2))
      printf("main: thread2 is running\n");
   else
      printf("main: thread2 is NOT running\n");

   printf("This is main thread var = %d\n", g_var);

   thread_delete(t1);
   thread_delete(t2);
   printf("main exit\n");

}
